#ifndef TMHistogrammingGlobalPixelZDist_H
#define TMHistogrammingGlobalPixelZDist_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingGlobalPixelZDist : public TMHistogramming {
 public:
  TMHistogrammingGlobalPixelZDist();
  virtual ~TMHistogrammingGlobalPixelZDist();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  TH1F    *fTotal;
  TH1F    *fInner;
  TH1F    *fOuter;

};

#endif
